Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceCalls and routing

Run a capability

POST
/v1/run/{capability}

Routed call: GridRouter picks vendors (waterfall/cheapest/best) until one hits. Only hits are charged on per-success vendors.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

capability*string
Match^[a-z]+(\.[a-z0-9_]+)+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/run/string" \  -H "Content-Type: application/json" \  -d '{    "input": {      "property1": null,      "property2": null    }  }'
{  "object": "call",  "id": "string",  "endpoint_id": "string",  "provider": "string",  "status": "succeeded",  "hit": true,  "cost_micro": 0,  "latency_ms": 0,  "credential": "managed",  "data": {    "property1": null,    "property2": null  },  "raw": null,  "attempts": [    {      "endpoint_id": "string",      "provider": "string",      "outcome": "hit",      "cost_micro": 0,      "latency_ms": 0,      "error_code": "invalid_request"    }  ],  "meta": {    "property1": "string",    "property2": "string"  },  "cache": {    "status": "hit",    "age_s": 0,    "fetched_at": "2019-08-24T14:15:22Z",    "saved_micro": 0,    "fields_cached": [      "string"    ],    "fields_fetched": [      "string"    ]  }}